import type { _VNRequest } from "./VNRequest.js";
import type { _VNStatefulRequest } from "./VNStatefulRequest.js";
import type { _NSArray } from "../Foundation/NSArray.js";
import type { _NSError } from "../Foundation/NSError.js";
import type { VNTrackOpticalFlowRequestComputationAccuracy } from "./VNTrackOpticalFlowRequestComputationAccuracy.js";
export declare class _VNTrackOpticalFlowRequest extends _VNStatefulRequest {
    static alloc(): _VNTrackOpticalFlowRequest;
    static new(): _VNTrackOpticalFlowRequest;
    /**
     * Create a new request that can statefully track the optical from from one image to another. This is a convenience initializer for a frame analysis spacing of kCMTimeZero and a nil completion handler.
     */
    init(): _VNTrackOpticalFlowRequest;
    /**
     * Create a new request that can statefully track the optical from from one image to another. This is a convenience initializer for a frame analysis spacing of kCMTimeZero.
     */
    initWithCompletionHandler$(completionHandler: ((arg0: _VNRequest, arg1: _NSError) => void) | null): _VNTrackOpticalFlowRequest;
    /**
     * The level of accuracy used to compute the optical flow. Default is VNTrackOpticalFlowRequestComputationAccuracyMedium. The computational time typically trends with the accuracy level. This parameter allows for selective tuning by the client application.
     */
    computationAccuracy(): VNTrackOpticalFlowRequestComputationAccuracy;
    setComputationAccuracy$(value: VNTrackOpticalFlowRequestComputationAccuracy): void;
    /**
     * Pixel format type of the output buffer. Valid values are `kCVPixelFormatType_TwoComponent32Float` and `kCVPixelFormatType_TwoComponent16Half`. Default is `kCVPixelFormatType_TwoComponent32Float`.
     */
    outputPixelFormat(): number;
    setOutputPixelFormat$(value: number): void;
    /**
     * Setting this to `YES` will keep the raw pixel buffer coming from the the ML network. The default is `NO`. When set to `YES`, the outputPixelFormat is ignored.
     */
    keepNetworkOutput(): boolean;
    setKeepNetworkOutput$(value: boolean): void;
    /** VNPixelBufferObservation results. */
    results(): _NSArray | null;
}
